using System;

namespace Municipalidad.Utils
{
	/// <summary>
	/// Summary description for UtilsErrors.
	/// </summary>
	/// 

	//Constantes de posibles error que pueden suceder en la Base de datos
	public class CustomErrors
	{
		public const string ConnectionDB_Errors = "Error al intentar conectarse con la Base de Datos";
		public const string FailedSave_Errors = "Ocurrio un problema al intentar Agregar el registro";
		public const string NotFound_Errors = "Al intentar actualizar el registro no fue encontrado, posiblemente fue eliminado";
		public const string Changed_Errors = "El Registro ha sido cambiado por otro usuario";
		public const string Exist_Errors = "El registro ya existe en la base de datos";
		public const string Insert_Errors = "Hay problemas para agregar el registro en la Base de Datos";
		public const string Integrity_violation = "El registro existe en otra tabla, no se puede eliminar";
	}

	[Serializable()]
	public class SqlErrorException: Exception
	{
		
		new public string Message;

		public SqlErrorException()
		{		
		}

		public SqlErrorException(string message)
		{		
			Message = message;
		}

		public SqlErrorException(string message, Exception innerException)
		{	
			Message = message;
		}
	}

	public class OleDbErrorException: Exception
	{
		
		public new string Message;

		public OleDbErrorException()
		{		
		}

		public OleDbErrorException(string message)
		{		
			Message = message;
		}

		public OleDbErrorException(string message, Exception innerException)
		{	
			Message = message;
		}
	}

	public class OdbcErrorException: Exception
	{
		
		public new string Message;

		public OdbcErrorException()
		{		
		}

		public OdbcErrorException(string message)
		{		
			Message = message;
		}

		public OdbcErrorException(string message, Exception innerException)
		{	
			Message = message;
		}
	}
}
